function ArenaLive_TargetIndicator_Initialise (self, unitFrame)
	
	if ( not unitFrame or not self ) then
		return;
	end
	unitFrame.targetIndicator = self;
	
	unitFrame:RegisterEvent("PLAYER_TARGET_CHANGED");
end

function ArenaLive_TargetIndicator_OnEvent (unitFrame, event, ...)

	if ( not unitFrame.unit ) then
		return;
	end
	
	if ( event == "PLAYER_TARGET_CHANGED" ) then
	
		ArenaLive_TargetIndicator_Update(unitFrame.targetIndicator, unitFrame)
	
	end

end

function ArenaLive_TargetIndicator_Update (indicator, unitFrame)

	if ( UnitIsUnit(unitFrame.unit, "target") ) then
		
		indicator:Show();
	else
		indicator:Hide();
	end

end