﻿local _, L = ...;

--[[ 
	Options: General 
]]--
-- HEADLINES
L["ALUF:"] = "ArenaLive UnitFrames:";
L["ALUFPlayerFrameTitle"] = "ArenaLive UnitFrames: Player frame";
L["ALUFTargetFrameTitle"] = "ArenaLive UnitFrames: Target frame";
L["ALUFToTFrameTitle"] = "ArenaLive UnitFrames: Target of Target frame";
L["ALUFPetFrameTitle"] = "ArenaLive UnitFrames: Pet frame";
L["ALUFFocusFrameTitle"] = "ArenaLive UnitFrames: Focus frame";
L["ALUFToFFrameTitle"] = "ArenaLive UnitFrames: Target of Focus frame";
L["ALUFArenaFramesFrameTitle"] = "ArenaLive UnitFrames: Arena frames";

-- GENERAL OPTIONS
L["enableHealPrediction"] = "Enable heal prediction";
L["onlyShowCastableBuffs"] = "Only show castable buffs on allies";
L["onlyShowDispellableDebuffs"] = "Only show dispellable debuffs on allies";
L["showAllDebuffs"] = "Show all debuffs on enemies.";
L["inCombatLockdown"] = "The interface is currently in combat lockdown mode. Some options can't be changed right now. Please get out of combat first.";

	
--[[ 
	Options: UnitFrames 
]]--
-- Frame Names
L["playerFrame"] = "Player";
L["targetFrame"] = "Target";
L["totFrame"] = "TargetofTarget";
L["petFrame"] = "Pet";
L["focusFrame"] = "Focus";
L["tofFrame"] = "TargetofFocus";
L["arenaFrames"] = "Arena targets";

-- Titles
L["castBar:"] = "CastBar:";
L["auras:"] = "Buffs and Debuffs:";
L["drTracker:"] = "Diminishing return tracker (NYI):"

-- CheckButtons
L["showCastbar"] = "Show castbar";
L["showCastHistory"] = "Show cast history";
L["showAuras"] = "Show Buffs and Debuffs";
L["lockFrame"] = "Lock frame";
L["enableFrame"] = "Enable frame (NYI)";
L["showDrTracker"] = "Show Diminishing Returns (NYI)";
L["growFramesUpwards"] = "Grow frames upwards";

-- Editboxes
L["shownTextinHealthBar:"] = "Shown text in healthbar:";
L["shownTextinPowerBar:"] = "Shown text in powerbar:";
	
-- Sliders
L["maxCastHistoryIcons"] = "Shown cast history Icons";
L["frameScale"] = "Frame scale";
L["normalAuraIconSize"] = "Normal Icon Size";
L["largeAuraIconSize"] = "Large Icon Size";
L["castHistoryIconSize"] = "Icon Size";
L["drTrackerIconSize"] = "Icon Size";
L["spaceBetweenFrames"] = "Space between frames";

-- DropDown Menus
L["portraitType:"] = "Portrait Type:";
L["3DPortrait"] = "3D Portrait";
L["classIcon"] = "Class Icon";
L["Icon1:"] = "First Icon:";
L["Icon2:"] = "Second Icon:";
L["class"] = "Class";
L["race"] = "Race";
L["pvpTrinket"] = "PvP-Trinket";
L["racial"] = "Racial Ability";
L["specialisation"] = "Talent Specialisation";
L["dispelOrInterrupt"] = "Dispel/Interrupt";
L["reaction"] = "Reaction";	
L["healthBarColourMode:"] = "Healthbar colour mode:";
L["NameColourMode:"] = "Name colour mode:";
L["none"] = "None";
L["classColour"] = "Class Colour";
L["reactionColour"] = "Reaction Colour";
L["position:"] = "Position:";
L["above"] = "Above";
L["below"] = "Below";
L["left"] = "Left";
L["right"] = "Right";